/*
 * $Id: IPv4AddressRangeSet.java,v 1.3 2006/01/28 03:37:07 rampil Exp $
 * Copyright (c) 2005 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.common.net;

import java.io.IOException;
import java.io.InputStream;
import java.net.UnknownHostException;

/**
 * IPv4AddressRangeSet
 * IPv4ベースのアドレス範囲のセットを管理するクラス
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class IPv4AddressRangeSet extends IPAddressRangeSet {
	/**
	 * コンストラクタ
	 */
	public IPv4AddressRangeSet() {
	}
	/**
	 * コンストラクタ
	 * @param filename IPアドレス範囲セットファイル名
	 * @throws IOException 範囲セットデータのロードに失敗
	 */
	public IPv4AddressRangeSet(String filename) throws IOException {
		super(filename);
	}
	/**
	 * コンストラクタ
	 * @param in IPアドレス範囲セットデータへの入力ストリーム
	 * @throws IOException 読み込みに失敗
	 */
	public IPv4AddressRangeSet(InputStream in) throws IOException {
		super(in);
	}

	/**
	 * IPアドレスを作成する
	 * @param ips IPアドレス(文字列)
	 * @return IPv4またはIPv6クラス
	 */
	@Override
	protected IPAddress getIPAddress(String ips) throws UnknownHostException {
		return new IPv4Address(IPv4Address.getIPv4MaskPair(ips));
	}
}

// end of IPv4AddressRangeSet.java
